import { Controller } from 'egg';

export default class LogController extends Controller {

  public async getGmLog() {
    const { ctx } = this;
    const { pageSize, page, form } = ctx.request.body;
    ctx.body = await ctx.service.log.getGmLog(page, pageSize, form);
  }

  public async getUserLog() {
    const { ctx } = this;
    const { pageSize, page, form } = ctx.request.body;
    ctx.body = await ctx.service.log.getUserLog(page, pageSize, form);
  }

  public async getGachaLog() {
    const { ctx } = this;
    const { pageSize, page, form } = ctx.request.body;
    ctx.body = await ctx.service.log.getGachaLog(page, pageSize, form);
  }
}
